Gecode::Propagators Class Reference

Class to iterate over propagators in a group. More...

`#include <core.hpp>`

## Public Member Functions

| Propagators (const Space &home, PropagatorGroup g)
| Initialize.
bool | operator() (void) const
| Test whether there are propagators left.
void | operator++ (void)
| Move iterator to next propagator.
const Propagator & | propagator (void) const
| Return propagator.

## Detailed Description

Class to iterate over propagators in a group.

Definition at line 2754 of file core.hpp.

## Constructor & Destructor Documentation

## Propagators()

Gecode::Propagators::Propagators | ( | const Space & | home,
|  | PropagatorGroup | g )

inline

Initialize.

Definition at line 5060 of file core.hpp.

## Member Function Documentation

## operator()()

bool Gecode::Propagators::operator() | ( | void |  | ) | const

inline

Test whether there are propagators left.

Definition at line 5066 of file core.hpp.

## operator++()

void Gecode::Propagators::operator++ | ( | void |  | ) |

inline

Move iterator to next propagator.

Definition at line 5070 of file core.hpp.

## propagator()

const Propagator & Gecode::Propagators::propagator | ( | void |  | ) | const

inline

Return propagator.

Definition at line 5076 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp